Subject: Problem with bisect

From: Larry Finger <[email-masked]>
Date: Sun, 05 Aug 2007 11:02:21 -0500

I'm helping someone find what looks like a regression in bcm43xx-mac80211 between v2.6.22 and 
v2.6.23-rc1. This driver is not in the mainstream kernel, but is found in John Linville's 
wireless-dev git tree. When we do the first bisection between the current state and v2.6.22, we 
obtain a kernel whose Makefile says it is v2.6.22; however, it's code is based on a state before 
bcm43xx-mac80211 was introduced into this tree. My memory isn't what it used to be, but I think this 
code was put into this tree during 2.6.19 or .20. When I used visualize to see the tree, the bottom 
is all the way to v2.6.16, which I think is the origin of the git process.

Is this a git bug, or is it some flaw in this particular tree? We have worked around the problem by 
arbitrarily calling each bisection that does not have the bcm43xx-mac80211 code as "good". It has 
been a source of confusion for the guy I'm helping as it is his first bisection. Unfortunately, the 
bug doesn't show on my machine.

Thanks,

Larry